/* $Id: xplz.c,v 2.7 1993/06/04 14:46:52 klute Exp klute $ */

/* 
 * Copyright 1993 Rainer Klute <klute@irb.informatik.uni-dortmund.de>
 *
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation for any purpose is hereby granted without fee, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation. The author makes no representations about the suitability
 * of this software for any purpose. It is provided "as is" without express
 * or implied warranty.
 *
 */

#if defined (HasMotif)
#include <X11/Intrinsic.h>
#include "gui.h"
#endif

#include "xplz.h"
#include "cui.h"


#if defined (HasMotif)
static String fallbackResources[] = {
#include "fallback.h"
NULL
};
#endif




int main (argc, argv)
int argc;
char *argv[];
{
#if defined (HasMotif)
    XtAppContext appContext;
    Display *display;

    XtToolkitInitialize ();
    appContext = XtCreateApplicationContext ();
    XtAppSetFallbackResources (appContext, fallbackResources);
    display = XtOpenDisplay (appContext, NULL, argv[0], "XPlz", NULL, 0,
			     &argc, argv);
    if (display != (Display *) 0)
	MotifInterface (display);
    else
	CuiInterface (argc, argv);
    return 0;
#else
    CuiInterface (argc, argv);
    return 0;
#endif
}
